> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weborion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create batch rebaseline job

> Creates a batch job to rebaseline multiple existing webpages in bulk.



## OpenAPI

````yaml /openapi.json post /api/v1/batch_jobs/rebaseline
openapi: 3.0.3
info:
  title: WebOrion Monitor API
  description: >-
    REST API for managing webpages, alerts, batch jobs, and activity logs in
    WebOrion Defacement Monitor.
  version: '2021-07-26'
servers:
  - url: https://api.monitor.weborion.io
security:
  - bearerAuth: []
tags:
  - name: User
    description: Operations related to user accounts
  - name: Webpages
    description: Operations related to webpages and URLs
  - name: Batch Jobs
    description: Operations related to batch baseline and rebaseline jobs
  - name: Alerts
    description: Operations related to alerts
  - name: Domains
    description: Operations related to domains
  - name: Tags
    description: Operations related to tags for organising webpages
paths:
  /api/v1/batch_jobs/rebaseline:
    post:
      tags:
        - Batch Jobs
      summary: Create batch rebaseline job
      description: Creates a batch job to rebaseline multiple existing webpages in bulk.
      operationId: createBatchRebaselineJob
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchRebaselineBody'
      responses:
        '200':
          description: OK
components:
  schemas:
    BatchRebaselineBody:
      type: object
      required:
        - url_ids
      properties:
        url_ids:
          type: array
          items:
            type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Generate an API token from the WebOrion Defacement Monitor portal. Pass
        it as `Authorization: Bearer <token>`.

````